body {
  margin: 0;
  padding: 0;
  font-family: sans-serif;
  font-size: 12pt;
}

#banner {
  width: 100%;
  height: 112px;
}

#banner-bottom {
  width: 100%;
  height: 13px;
  background: url(../images/layoutbg.gif) repeat-x;
}

#map {
  height: calc(100vh - 125px);
}

#left-panel {
  position: absolute;
  top: 135px;
  left: 40px;
}

#location-search-input {
  width: 295px;
  height: 30px;
  border: 1px solid black;
  padding-left: 5px;
  margin-bottom: 10px;
}

#search-results {
  position: absolute;
  top: 155px;
  z-index: 1;
  width: 290px;
  border: 1px solid black;
  background: rgba(255, 255, 255, 0.8);
  padding: 5px;
}

.result-row:hover {
  background: lightgrey;
}

#transparency-panel {
  background:  rgba(255, 255, 255, 0.8);
  border: 1px solid black;
  padding: 5px;
  margin-bottom: 10px;
}

.transparency-label {
  width: 150px;
}

#info {
  background:  rgba(255, 255, 255, 0.8);
  border: 1px solid black;
  padding: 5px;
}

#language-select {
  position: absolute;
  top: 3px;
  right: 10px;
  background: rgba(255, 255, 255, 0.8);
  padding: 3px 5px;
}

#legend {
  position: absolute;
  bottom: 30px;
  left: 8px;
  background:  rgba(255, 255, 255, 0.8);
}

.ol-control button {
  background-color: rgba(255, 255, 255, 0.8) !important;
  color: black !important;
}

.ol-scale-line {
  background-color: rgba(255, 255, 255, 0.8) !important;
  color: black !important;
  border-radius: 0 !important;
}

.ol-scale-line-inner {
  border: 2px solid black !important;
  border-top: 0 !important;
  color: black !important;
} 

#home-button {
  position: absolute;
  left: 0.5em;
  top: 188px;
  background-color: rgba(255, 255, 255, 0.8) !important;
  color: black !important;
  border: 0 !important;
  width: 27px;
  height: 27px;
}

#locate-button {
  position: absolute;
  left: 0.5em;
  top: 222px !important;
  background-color: rgba(255, 255, 255, 0.8);
  color: black !important;
  border: 0 !important;
  width: 27px;
  height: 27px;
}

.hidden {
  display: none;
}

.flex {
  display: flex;
  align-items: center;
}

h3 {
  margin: 0;
}

.caret-up {
  height: 20px;
  width: 20px;
  background-image: url("../images/caret-up.png");
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
}

.caret-down {
  height: 20px;
  width: 20px;
  background-image: url("../images/caret-down.png");
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
}

input[type="range"] {
  display: block;
  -webkit-appearance: none;
  background-color: #bdc3c7;
  width: 130px;
  height: 5px;
  border-radius: 5px;
  margin: 0 auto;
  outline: 0;
}

input[type="range"]::-webkit-slider-thumb {
  -webkit-appearance: none;
  background-color: rgb(233, 233, 233);
  width: 15px;
  height: 15px;
  border-radius: 50%;
  border: 1px solid grey;
  cursor: pointer;
}​

#zoom-buttons {
  position: absolute;
  top: 150px;
  left: 10px;
  width: 25px;
  height: 100px;
}

.corner-ribbon {
  position: fixed;
  top: auto;
  bottom: 50px;
  right: -80px;
  z-index: 40;
  width: 300px;
  background: red;
  color: #fff;
  text-align: center;
  line-height: 50px;
  letter-spacing: 1px;
  -webkit-transform: rotate(-45deg);
  -ms-transform: rotate(-45deg);
  transform: rotate(-45deg);
}
